Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Dump_T.h File Reference

`#include "ace/Dump.h"`
`#include "ace/Dump_T.cpp"`

Include dependency graph for Dump_T.h:

This graph shows which files directly or indirectly include this file:

## Classes
class | ACE_Dumpable_Adapter< Concrete >
| This class inherits the interface of the abstract ACE_Dumpable class and is instantiated with the implementation of the concrete component class <class concrete="">. More...
## Defines
#define | ACE_REGISTER_OBJECT(CLASS)
#define | ACE_REMOVE_OBJECT

## Detailed Description

Id
  Dump_T.h,v 4.14 2005/10/28 16:14:52 ossama Exp

Author:
  Doug Schmidt

## Define Documentation

#define ACE_REGISTER_OBJECT | ( | CLASS |  | ) |

| Value:
    ACE_ODB::instance ()->register_object \
              (new ACE_Dumpable_Adapter<CLASS> (this));

#define ACE_REMOVE_OBJECT

| Value:
    ACE_ODB::instance ()->remove_object    \
              ((void *) this);